Rails - Installation

rails

What do we need to get started?

  1. The Ruby language version 1.9.3 or newer.
  2. The RubyGems packaging system, which is installed with Ruby versions 1.9 and later. To learn more about RubyGems, please read the RubyGems Guides.
  3. A working installation of the SQLite3 Database

How to install Rails on Windows?

You can use Rails Installer

How to install Rails on Mac?

You can use Tokaido.

How can we check to see if we have Ruby installed on Fedora Linux?

ruby -v

How to install Rails on Fedora Linux?

If you don't have Ruby installed have a look at ruby-lang.org for possible ways to install Ruby on your platform.

How can we check to see if SQLite3 is installed on Fedora Linux?

sqlite3 --version

How to check to see if Rails is already installed on Fedora Linux?

bin/rails --version

How can we install Rails on Fedora Linux using RubyGems?

To install Rails, use the gem install command provided by RubyGems:

gem install rails
Unless otherwise stated, the content of this page is licensed under Creative Commons Attribution-ShareAlike 3.0 License